id: wordpress-all-in-one-seo-pack

info:
  name: All in One SEO – Powerful SEO Plugin to Boost SEO Rankings & Increase Traffic Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/all-in-one-seo-pack/
  metadata:
    plugin_namespace: all-in-one-seo-pack
    wpscan: https://wpscan.com/plugin/all-in-one-seo-pack
  tags: tech,wordpress,wp-plugin,top-100,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/all-in-one-seo-pack/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/all-in-one-seo-pack.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 4a0a0047304502203769946a02de802fb1453c56540e4fb383a2dced2fdb2e09543a359443d2acf3022100b2576d8062c3f4dca96824b4acf5c4f2d5e2adbd8e333864bcb0ef73a2b7b2a1:922c64590222798bb761d5b6d8e72950